#
# This file sets up include directories, link directories, and
# compiler settings for a project to use QWT.  It should not be
# included directly, but rather through the QWT_USE_FILE setting
# obtained from QWTConfig.cmake.
#

#IF(QWT_BUILD_SETTINGS_FILE)
 # INCLUDE(${CMAKE_ROOT}/Modules/CMakeImportBuildSettings.cmake)
#  CMAKE_IMPORT_BUILD_SETTINGS(${QWT_BUILD_SETTINGS_FILE})
#ENDIF(QWT_BUILD_SETTINGS_FILE)

# Add compiler flags needed to use QWT.
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${QWT_REQUIRED_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${QWT_REQUIRED_CXX_FLAGS}")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${QWT_REQUIRED_LINK_FLAGS}")
SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${QWT_REQUIRED_LINK_FLAGS}")
SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${QWT_REQUIRED_LINK_FLAGS}")

# Add include directories needed to use QWT.
INCLUDE_DIRECTORIES(BEFORE ${QWT_INCLUDE_DIRS})

# Add link directories needed to use QWT.
LINK_DIRECTORIES(${QWT_LIBRARY_DIRS})