/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkTruncatedSignedDistanceFunctionRayCasterInstantiations.cxx
	Version:		$Revision: 2745 $
	Date:			$Date: 2012-03-09 16:16:26 +0100 (Fri, 09 Mar 2012) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/


#include "ritkCuda.h"
#include "ritkTruncatedSignedDistanceFunctionRayCaster.txx"
#include "ritkRImage.h"


namespace ritk
{

// Ray caster base
template class CUDA_EXPORT TruncatedSignedDistanceFunctionRayCaster<RImage<float,2> >;


} // ritk
