#ifndef VisualizationPLUGINFACTORY_H__
#define VisualizationPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class VisualizationPluginFactory : public QObject, public ritk::ApplicationPluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::ApplicationPluginFactory)

public:
	/// Constructor
	VisualizationPluginFactory();
	/// Destructor
	~VisualizationPluginFactory();

	ritk::ApplicationPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // VisualizationPLUGINFACTORY_H__
