/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			RITKVisualization.h
	Version:		$Revision: 893 $
	Date:			$Date: 2011-04-28 17:40:59 +0200 (Thu, 28 Apr 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include <QtCore/QtGlobal>

namespace ritk
{

// Shared library export/import macro for the visualization group
#if defined(KINECTSDK_SHAREDLIB_EXPORT)
#  define KINECTSDK_EXPORT Q_DECL_EXPORT
#else
#  define KINECTSDK_EXPORT Q_DECL_IMPORT
#endif

// Doxygen group for Visualization
/** @defgroup Visualization Visualization
 *	Visualization tools that are used within the RITK framework
 */
  
} // end namespace ritk
