#
# This file sets up include directories, link directories, and
# compiler settings for a project to use RITK.  It should not be
# included directly, but rather through the RITK_USE_FILE setting
# obtained from RITKConfig.cmake.
#

#IF(RITK_BUILD_SETTINGS_FILE)
 # INCLUDE(${CMAKE_ROOT}/Modules/CMakeImportBuildSettings.cmake)
#  CMAKE_IMPORT_BUILD_SETTINGS(${RITK_BUILD_SETTINGS_FILE})
#ENDIF(RITK_BUILD_SETTINGS_FILE)

# Add compiler flags needed to use RITK.
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RITK_REQUIRED_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${RITK_REQUIRED_CXX_FLAGS}")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${RITK_REQUIRED_LINK_FLAGS}")
SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${RITK_REQUIRED_LINK_FLAGS}")
SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${RITK_REQUIRED_LINK_FLAGS}")

# Add include directories needed to use RITK.
INCLUDE_DIRECTORIES(BEFORE ${RITK_INCLUDE_DIRS})

# Add link directories needed to use RITK.
LINK_DIRECTORIES(${RITK_LIBRARY_DIRS})
