/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkGenericPayloadContainer.txx
	Version:		$Revision: 2774 $
	Date:			$Date: 2012-03-13 10:52:35 +0100 (Di, 13 Mrz 2012) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "ritkGenericPayloadContainer.h"

namespace ritk
{


//----------------------------------------------------------------------------
GenericPayloadContainer
::GenericPayloadContainer()
{
	m_Identifier = "GENERICPAYLOAD_DEFAULT_ID";
}


//----------------------------------------------------------------------------
GenericPayloadContainer
::~GenericPayloadContainer()
{
}


//----------------------------------------------------------------------------
void
GenericPayloadContainer
::PrintSelf(std::ostream &os, itk::Indent indent) const
{
	Superclass::PrintSelf(os, indent);
	os << indent << "GenericPayloadContainer" << std::endl;
	os << indent << indent << "Identifier: " << GetIdentifier() << std::endl;
}



} // namespace ritk

